// a literal object to maintain the mapping between IconCode from the database and the SVG Icon Id
var essentialIconCodesMap = {
    "AMU": "my-amu",
    "SBR": "my-sbsr",
    "OSS": "my-oasis",
    "EMU": "my-emu",
    "PRC": "my-nprc",
    "SEP": "my-ern", 
    "SMU": "my-smu",
    "CRD": "my-aust-curric",
    "RAP": "my-sbsr",
    "LTA": "my-bloged",
    "SAP": "my-sap",
    "ETL": "", // Enhanced T4L Server
    "MVI": "my-mevi",
    "SMT": "my-smart",
    "EBP": "my-e-backpack",
    "OSR": "my-oasr",
    "PWS": "", // Schools Website Service
    "PRA": "", // Portal Resources
    "DWS": "", // DataWarehouse Resources
    "SRS": "", // School Resources
    "SYN": "my-synergy",
    "RPP": "", // Placement Panel Process
    "EBS": "my-ebs4-ontrack",
    "THS": "", // TAFE History Snapshot Reporting
    "SLS": "my-oliver",
    "AZT": "", // A-Z Policy Implementation Tool
    "SPR": "my-sparo",
    "ALN": "my-alan",
    "AST": "", // Assisted School Travel Program
    "STY": "my-e-safety",
    "SKB": "", // STEMShare Kit Booking System
    "SKA": "", // STEMShare Kit Booking System Administration
    "VDL": "my-school-digital-logbook"
};