const fs = require('fs');

const SVGS_FOLDER = 'SVGs/';

fs.readdirSync(SVGS_FOLDER).forEach(file => {
    if (!file.startsWith('my-')) {
        const filePath = SVGS_FOLDER + file;
        let newFilePath = SVGS_FOLDER + "my-" + file;
        newFilePath = newFilePath.replaceAll(' ', '-'); // replace spaces with dashes
        newFilePath = newFilePath.toLowerCase() // icon names are all lowercase

        console.log(file, 'does not start with "my-". File renamed.')
        fs.renameSync(filePath, newFilePath);
    }
});
